## firejail 0.9.74

=== src/bash_completion/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

GAWK ?= gawk
RM ?= rm -f

.PHONY: all
all: firejail.bash_completion

firejail.bash_completion: firejail.bash_completion.in $(ROOT)/config.mk
	$(GAWK) -f ../man/preproc.awk -- $(MANFLAGS) < $< > $@.tmp
	sed "s|_SYSCONFDIR_|$(sysconfdir)|" < $@.tmp > $@
	$(RM) $@.tmp

.PHONY: clean
clean:
	$(RM) -r firejail.bash_completion

=== src/fbuilder/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fbuilder
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

include $(ROOT)/src/prog.mk

=== src/firejail/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = firejail
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

EXTRA_OBJS = \
../lib/common.o \
../lib/ldd_utils.o \
../lib/firejail_user.o \
../lib/errno.o \
../lib/syscall.o

include $(ROOT)/src/prog.mk

=== src/fnetfilter/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fnetfilter
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

EXTRA_OBJS = ../lib/common.o

include $(ROOT)/src/prog.mk

=== src/fnettrace/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fnettrace
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

CLEANFILES += static-ip-map

include $(ROOT)/src/prog.mk

all: $(TARGET) static-ip-map
static-ip-map: static-ip-map.txt $(PROG)
	./$(PROG) --squash-map=static-ip-map.txt 2>&1 >static-ip-map

=== src/fzenity/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fzenity
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

include $(ROOT)/src/prog.mk

=== src/libtracelog/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = libtracelog
MOD_DIR = $(ROOT)/src/$(MOD)
SO = $(MOD_DIR)/$(MOD).so
TARGET = $(SO)

include $(ROOT)/src/so.mk

=== src/zsh_completion/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

GAWK ?= gawk
RM ?= rm -f

.PHONY: all
all: _firejail

_firejail: _firejail.in $(ROOT)/config.mk
	$(GAWK) -f ../man/preproc.awk -- $(MANFLAGS) < $< > $@.tmp
	sed "s|_SYSCONFDIR_|$(sysconfdir)|" < $@.tmp > $@
	$(RM) $@.tmp

.PHONY: clean
clean:
	$(RM) -r _firejail

=== debian/changelog ===
firejail (0.9.74-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches and drop obsolete sections.
  * Import source for memwrexe-32 from git repository.
  * autopkgtest:
    - update test dependencies to improve compatibility with Ubuntu
      (Closes: #1065579).
    - Mark smoke-tests as flaky as they are too fragile.
    - drop firefox and thunderbird from test dependencies.
  * Replace pkg-config build-dependency with pkgconf.
  * Move renamed profiles via maintscript-helper.
  * Bump Standards-Version to 4.7.2.
  * Bump copyright years.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 20 Apr 2025 23:43:13 +0200

firejail (0.9.72-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on armhf by #undef-ining _FILE_OFFSET_BITS and _TIME_BITS in a
    couple of places. (Closes: 1069449)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 13 Mar 2025 06:59:57 +0100

=== debian/control ===
Source: firejail
Section: utils
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper-compat (= 13), dh-apparmor, gawk, libapparmor-dev, libselinux1-dev, pkgconf
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://firejail.wordpress.com
Vcs-Git: https://salsa.debian.org/reiner/firejail.git
Vcs-Browser: https://salsa.debian.org/reiner/firejail

Package: firejail
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: firejail-profiles, iproute2, iptables, xauth, xdg-dbus-proxy, xpra | xserver-xephyr | xvfb
Description: sandbox to restrict the application environment
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.

Package: firejail-profiles
Architecture: all
Depends: ${misc:Depends}, firejail
Replaces: firejail (<< 0.9.46~rc1-1)
Breaks: firejail (<< 0.9.46~rc1-1)
Description: profiles for the firejail application sandbox
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.
 .
 This package contains firejail profiles for various applications.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-apparmor --enable-selinux --enable-contrib-install=no --enable-ids

override_dh_fixperms-arch:
	dh_fixperms -Xfshaper.sh -Xfcopy -Xfldd -Xfnet -Xfnetfilter -Xfsec-optimize -Xfsec-print -Xfseccomp
	chmod 4755 debian/firejail/usr/bin/firejail

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES

override_dh_installdocs:
	dh_installdocs -Xupdate_deb.sh

override_dh_auto_install:
	dh_auto_install
	# documentation will be installed by debhelper
	rm --verbose -rf debian/tmp/usr/share/doc/firejail

override_dh_install:
	dh_install -pfirejail
	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
	dh_apparmor -pfirejail --profile-name=firejail-default

override_dh_missing:
	dh_missing -pfirejail --fail-missing
	dh_missing -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile

override_dh_auto_test:
	# skip tests here as they are run as autopkgtest

override_dh_compress:
	dh_compress -Xsyscalls.txt -Xprofile.template -Xcontrib

## firejail 0.9.76

=== Makefile ===
.SUFFIXES:
ROOT = .
-include config.mk

# Default programs (in configure.ac).
CC ?= cc
CODESPELL ?= codespell
CPPCHECK ?= cppcheck
GAWK ?= gawk
GZIP ?= gzip
SCAN_BUILD ?= scan-build
STRIP ?= strip
TAR ?= tar

# Default programs (not in configure.ac).
INSTALL ?= install
RM ?= rm -f

ifneq ($(HAVE_MAN),no)
MAN_TARGET = man
endif

ifneq ($(HAVE_CONTRIB_INSTALL),no)
CONTRIB_TARGET = contrib
endif

COMPLETIONDIRS = src/zsh_completion src/bash_completion

APPS = src/firecfg/firecfg src/firejail/firejail src/firemon/firemon src/profstats/profstats src/jailcheck/jailcheck src/etc-cleanup/etc-cleanup
SBOX_APPS = src/fbuilder/fbuilder src/ftee/ftee src/fids/fids
SBOX_APPS_NON_DUMPABLE = src/fcopy/fcopy src/fldd/fldd src/fnet/fnet src/fnetfilter/fnetfilter src/fzenity/fzenity
SBOX_APPS_NON_DUMPABLE += src/fsec-optimize/fsec-optimize src/fsec-print/fsec-print src/fseccomp/fseccomp
SBOX_APPS_NON_DUMPABLE += src/fnettrace/fnettrace src/fnettrace-dns/fnettrace-dns src/fnettrace-sni/fnettrace-sni
SBOX_APPS_NON_DUMPABLE += src/fnettrace-icmp/fnettrace-icmp src/fnetlock/fnetlock
MYDIRS = src/lib $(COMPLETIONDIRS)
MYLIBS = src/libpostexecseccomp/libpostexecseccomp.so src/libtrace/libtrace.so src/libtracelog/libtracelog.so
COMPLETIONS = src/zsh_completion/_firejail src/bash_completion/firejail.bash_completion
SECCOMP_FILTERS = seccomp seccomp.debug seccomp.32 seccomp.block_secondary seccomp.mdwx seccomp.mdwx.32 seccomp.namespaces seccomp.namespaces.32

MANPAGES1_IN := $(sort $(wildcard src/man/*.1.in))
MANPAGES5_IN := $(sort $(wildcard src/man/*.5.in))
MANPAGES1_GZ := $(MANPAGES1_IN:.in=.gz)
MANPAGES5_GZ := $(MANPAGES5_IN:.in=.gz)

SYSCALL_HEADERS := $(sort $(wildcard src/include/syscall*.h))

# Lists of keywords used in profiles; used for generating syntax files.
SYNTAX_LISTS = \
	contrib/syntax/lists/profile_commands_arg0.list \
	contrib/syntax/lists/profile_commands_arg1.list \
	contrib/syntax/lists/profile_conditionals.list \
	contrib/syntax/lists/profile_macros.list \
	contrib/syntax/lists/syscall_groups.list \
	contrib/syntax/lists/syscalls.list \
	contrib/syntax/lists/system_errnos.list

SYNTAX_FILES_IN := $(sort $(wildcard contrib/syntax/files/*.in))
SYNTAX_FILES := $(SYNTAX_FILES_IN:.in=)

ALL_ITEMS = $(APPS) $(SBOX_APPS) $(SBOX_APPS_NON_DUMPABLE) $(MYLIBS)

.PHONY: all
all: all_items mydirs filters $(MAN_TARGET) $(CONTRIB_TARGET)

config.mk config.sh:
	@printf 'error: run ./configure to generate %s\n' "$@" >&2
	@false

.PHONY: all_items
all_items: $(ALL_ITEMS)
$(ALL_ITEMS): $(MYDIRS)
	$(MAKE) -C $(dir $@)

.PHONY: mydirs $(MYDIRS)
mydirs: $(MYDIRS)
$(MYDIRS):
	$(MAKE) -C $@

.PHONY: strip
strip: all
	$(STRIP) $(ALL_ITEMS)

.PHONY: filters
filters: $(SECCOMP_FILTERS)
seccomp: src/fseccomp/fseccomp src/fsec-optimize/fsec-optimize Makefile
	src/fseccomp/fseccomp default seccomp
	src/fsec-optimize/fsec-optimize seccomp

seccomp.debug: src/fseccomp/fseccomp src/fsec-optimize/fsec-optimize Makefile
	src/fseccomp/fseccomp default seccomp.debug allow-debuggers
	src/fsec-optimize/fsec-optimize seccomp.debug

seccomp.32: src/fseccomp/fseccomp src/fsec-optimize/fsec-optimize Makefile
	src/fseccomp/fseccomp secondary 32 seccomp.32
	src/fsec-optimize/fsec-optimize seccomp.32

seccomp.block_secondary: src/fseccomp/fseccomp Makefile
	src/fseccomp/fseccomp secondary block seccomp.block_secondary

seccomp.mdwx: src/fseccomp/fseccomp Makefile
	src/fseccomp/fseccomp memory-deny-write-execute seccomp.mdwx

seccomp.mdwx.32: src/fseccomp/fseccomp Makefile
	src/fseccomp/fseccomp memory-deny-write-execute.32 seccomp.mdwx.32

seccomp.namespaces: src/fseccomp/fseccomp Makefile
	src/fseccomp/fseccomp restrict-namespaces seccomp.namespaces cgroup,ipc,net,mnt,pid,time,user,uts

seccomp.namespaces.32: src/fseccomp/fseccomp Makefile
	src/fseccomp/fseccomp restrict-namespaces seccomp.namespaces.32 cgroup,ipc,net,mnt,pid,time,user,uts

.PHONY: man
man:
	$(MAKE) -C src/man

# Makes all targets in contrib/
.PHONY: contrib
contrib: syntax

.PHONY: syntax
syntax: $(SYNTAX_FILES)

# TODO: include/rlimit are false positives
contrib/syntax/lists/profile_commands_arg0.list: src/firejail/profile.c Makefile
	@printf 'Generating %s from %s\n' $@ $<
	@sed -En 's/.*strn?cmp\(ptr, "([^ "]*[^ ])".*/\1/p' $< | \
	grep -Ev '^(include|rlimit)$$' | LC_ALL=C sort -u >$@

# TODO: private-lib is special-cased in the code and doesn't match the regex
contrib/syntax/lists/profile_commands_arg1.list: src/firejail/profile.c Makefile
	@printf 'Generating %s from %s\n' $@ $<
	@{ sed -En 's/.*strn?cmp\(ptr, "([^"]+) .*/\1/p' $<; \
	   echo private-lib; } | LC_ALL=C sort -u >$@

contrib/syntax/lists/profile_conditionals.list: src/firejail/profile.c Makefile
	@printf 'Generating %s from %s\n' $@ $<
	@awk -- 'BEGIN {process=0;} /^Cond conditionals\[\] = \{$$/ {process=1;} \
		/\t*\{"[^"]+".*/ \
		{ if (process) {print gensub(/^\t*\{"([^"]+)".*$$/, "\\1", 1);} } \
		/^\t\{ NULL, NULL \}$$/ {process=0;}' \
		$< | LC_ALL=C sort -u >$@

contrib/syntax/lists/profile_macros.list: src/firejail/macros.c Makefile
	@printf 'Generating %s from %s\n' $@ $<
	@sed -En 's/.*\$$\{([^}]+)\}.*/\1/p' $< | LC_ALL=C sort -u >$@

contrib/syntax/lists/syscall_groups.list: src/lib/syscall.c Makefile
	@printf 'Generating %s from %s\n' $@ $<
	@sed -En 's/.*"@([^",]+).*/\1/p' $< | LC_ALL=C sort -u >$@

contrib/syntax/lists/syscalls.list: $(SYSCALL_HEADERS) Makefile
	@printf 'Generating %s\n' $@
	@sed -n 's/{\s\+"\([^"]\+\)",.*},/\1/p' $(SYSCALL_HEADERS) | \
	LC_ALL=C sort -u >$@

contrib/syntax/lists/system_errnos.list: src/lib/errno.c Makefile
	@printf 'Generating %s from %s\n' $@ $<
	@sed -En 's/.*"(E[^"]+).*/\1/p' $< | LC_ALL=C sort -u >$@

regex_fromlf = { tr '\n' '|' | sed -e 's/|$$//' -e 's/\./\\\\./g'; }
space_fromlf = { tr '\n' ' ' | sed -e 's/ $$//'; }
edit_syntax_file = sed \
	-e "s/@make_input@/$$(basename $@).  Generated from $$(basename $<) by make./" \
	-e "s/@FJ_PROFILE_COMMANDS_ARG0@/$$($(regex_fromlf) <contrib/syntax/lists/profile_commands_arg0.list)/" \
	-e "s/@FJ_PROFILE_COMMANDS_ARG1@/$$($(regex_fromlf) <contrib/syntax/lists/profile_commands_arg1.list)/" \
	-e "s/@FJ_PROFILE_CONDITIONALS@/$$($(regex_fromlf) <contrib/syntax/lists/profile_conditionals.list)/" \
	-e "s/@FJ_PROFILE_MACROS@/$$($(regex_fromlf) <contrib/syntax/lists/profile_macros.list)/" \
	-e "s/@FJ_SYSCALLS@/$$($(space_fromlf) <contrib/syntax/lists/syscalls.list)/" \
	-e "s/@FJ_SYSCALL_GROUPS@/$$($(regex_fromlf) <contrib/syntax/lists/syscall_groups.list)/" \
	-e "s/@FJ_SYSTEM_ERRNOS@/$$($(regex_fromlf) <contrib/syntax/lists/system_errnos.list)/"

contrib/syntax/files/example: contrib/syntax/files/example.in $(SYNTAX_LISTS) Makefile
	@printf 'Generating %s from %s\n' $@ $<
	@$(edit_syntax_file) $< >$@

# gtksourceview language-specs
contrib/syntax/files/%.lang: contrib/syntax/files/%.lang.in $(SYNTAX_LISTS) Makefile
	@printf 'Generating %s from %s\n' $@ $<
	@$(edit_syntax_file) $< >$@

# vim syntax files
contrib/syntax/files/%.vim: contrib/syntax/files/%.vim.in $(SYNTAX_LISTS) Makefile
	@printf 'Generating %s from %s\n' $@ $<
	@$(edit_syntax_file) $< >$@

.PHONY: clean
clean:
	for dir in $$(dirname $(ALL_ITEMS)) $(MYDIRS); do \
		$(MAKE) -C $$dir clean; \
	done
	$(MAKE) -C src/man clean
	$(MAKE) -C test clean
	$(RM) $(SECCOMP_FILTERS)
	$(RM) $(SYNTAX_FILES)
	$(RM) -r ./$(TARNAME)-$(VERSION) ./$(TARNAME)-$(VERSION).tar.xz
	$(RM) ./$(TARNAME)*.deb
	$(RM) ./$(TARNAME)*.rpm

.PHONY: distclean
distclean: clean
	$(RM) -r autom4te.cache config.log config.mk config.sh config.status

.PHONY: install
install: all config.mk
	# firejail executable
	$(INSTALL) -m 0755 -d $(DESTDIR)$(bindir)
	$(INSTALL) -m 0755 -t $(DESTDIR)$(bindir) src/firejail/firejail
ifeq ($(HAVE_SUID),-DHAVE_SUID)
	chmod u+s $(DESTDIR)$(bindir)/firejail
endif
	# firemon executable
	$(INSTALL) -m 0755 -t $(DESTDIR)$(bindir) src/firemon/firemon
	# firecfg executable
	$(INSTALL) -m 0755 -t $(DESTDIR)$(bindir) src/firecfg/firecfg
	# jailcheck executable
	$(INSTALL) -m 0755 -t $(DESTDIR)$(bindir) src/jailcheck/jailcheck
	# libraries and plugins
	$(INSTALL) -m 0755 -d $(DESTDIR)$(libdir)/firejail
	$(INSTALL) -m 0755 -t $(DESTDIR)$(libdir)/firejail src/firecfg/firejail-welcome.sh
	$(INSTALL) -m 0644 -t $(DESTDIR)$(libdir)/firejail $(MYLIBS) $(SECCOMP_FILTERS)
	$(INSTALL) -m 0755 -t $(DESTDIR)$(libdir)/firejail $(SBOX_APPS)
	$(INSTALL) -m 0755 -t $(DESTDIR)$(libdir)/firejail src/profstats/profstats
	$(INSTALL) -m 0755 -t $(DESTDIR)$(libdir)/firejail src/etc-cleanup/etc-cleanup
	# plugins w/o read permission (non-dumpable)
	$(INSTALL) -m 0711 -t $(DESTDIR)$(libdir)/firejail $(SBOX_APPS_NON_DUMPABLE)
	$(INSTALL) -m 0711 -t $(DESTDIR)$(libdir)/firejail src/fshaper/fshaper.sh
	$(INSTALL) -m 0644 -t $(DESTDIR)$(libdir)/firejail src/fnettrace/static-ip-map
ifeq ($(HAVE_CONTRIB_INSTALL),yes)
	# contrib scripts
	$(INSTALL) -m 0755 -t $(DESTDIR)$(libdir)/firejail contrib/*.py contrib/*.sh
	# vim syntax
	$(INSTALL) -m 0755 -d $(DESTDIR)$(datarootdir)/vim/vimfiles/ftdetect
	$(INSTALL) -m 0644 -t $(DESTDIR)$(datarootdir)/vim/vimfiles/ftdetect contrib/vim/ftdetect/firejail.vim
	$(INSTALL) -m 0755 -d $(DESTDIR)$(datarootdir)/vim/vimfiles/ftplugin
	$(INSTALL) -m 0644 -t $(DESTDIR)$(datarootdir)/vim/vimfiles/ftplugin contrib/vim/ftplugin/firejail.vim
	$(INSTALL) -m 0755 -d $(DESTDIR)$(datarootdir)/vim/vimfiles/syntax
	$(INSTALL) -m 0644 -t $(DESTDIR)$(datarootdir)/vim/vimfiles/syntax contrib/syntax/files/firejail.vim
	# gtksourceview language-specs
	$(INSTALL) -m 0755 -d $(DESTDIR)$(datarootdir)/gtksourceview-5/language-specs
	$(INSTALL) -m 0644 -t $(DESTDIR)$(datarootdir)/gtksourceview-5/language-specs contrib/syntax/files/firejail-profile.lang
endif
	# documents
	$(INSTALL) -m 0755 -d $(DESTDIR)$(docdir)
	$(INSTALL) -m 0644 -t $(DESTDIR)$(docdir) COPYING README RELNOTES etc/templates/*
	# profiles and settings
	$(INSTALL) -m 0755 -d $(DESTDIR)$(sysconfdir)/firejail
	$(INSTALL) -m 0755 -d $(DESTDIR)$(sysconfdir)/firejail/firecfg.d
	$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail src/firecfg/firecfg.config
	$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/profile-a-l/*.profile etc/profile-m-z/*.profile etc/inc/*.inc etc/net/*.net etc/firejail.config
	sh -c "if [ ! -f $(DESTDIR)$(sysconfdir)/firejail/login.users ]; then \
		$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/login.users; \
	fi"
ifeq ($(HAVE_IDS),-DHAVE_IDS)
	$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/ids.config
endif
ifeq ($(BUSYBOX_WORKAROUND),yes)
	./mketc.sh $(DESTDIR)$(sysconfdir)/firejail/disable-common.inc
endif
ifeq ($(HAVE_APPARMOR),-DHAVE_APPARMOR)
	# install apparmor profile
	$(INSTALL) -m 0755 -d $(DESTDIR)$(sysconfdir)/apparmor.d
	$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/apparmor.d etc/apparmor/firejail-default
	# install apparmor profile customization file
	$(INSTALL) -m 0755 -d $(DESTDIR)$(sysconfdir)/apparmor.d/local
	sh -c "if [ ! -f $(DESTDIR)$(sysconfdir)/apparmor.d/local/firejail-default ]; then \
		$(INSTALL) -m 0644 etc/apparmor/firejail-local $(DESTDIR)$(sysconfdir)/apparmor.d/local/firejail-default; \
	fi"
	# install apparmor base abstraction drop-in
	$(INSTALL) -m 0755 -d $(DESTDIR)$(sysconfdir)/apparmor.d/abstractions/base.d
	$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/apparmor.d/abstractions/base.d etc/apparmor/firejail-base
endif
ifneq ($(HAVE_MAN),no)
	# man pages
	$(INSTALL) -m 0755 -d $(DESTDIR)$(mandir)/man1
	$(INSTALL) -m 0644 -t $(DESTDIR)$(mandir)/man1 $(MANPAGES1_GZ)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(mandir)/man5
	$(INSTALL) -m 0644 -t $(DESTDIR)$(mandir)/man5 $(MANPAGES5_GZ)
endif
	# bash completion
	$(INSTALL) -m 0755 -d $(DESTDIR)$(datarootdir)/bash-completion/completions
	$(INSTALL) -m 0644 src/bash_completion/firejail.bash_completion $(DESTDIR)$(datarootdir)/bash-completion/completions/firejail
	$(INSTALL) -m 0644 src/bash_completion/firemon.bash_completion $(DESTDIR)$(datarootdir)/bash-completion/completions/firemon

=== test/Makefile ===
.SUFFIXES:
ROOT = ..
-include $(ROOT)/config.mk

RM ?= rm -f

TESTS=$(patsubst %/,%,$(wildcard */))

.PHONY: $(TESTS)
$(TESTS):
	cd $@ && ./$@.sh 2>&1 | tee $@.log
	cd $@ && grep -a TESTING $@.log && ! grep -a -q "TESTING ERROR" $@.log

.PHONY: clean
clean:
	for test in $(TESTS); do $(RM) "$$test/$$test.log"; done
	$(RM) -r environment/-testdir
	$(RM) environment/index.html*
	$(RM) environment/logfile*
	$(RM) environment/wget-log*
	$(RM) sysutils/firejail_t*
	$(RM) utils/firejail-test-file*
	$(RM) utils/index.html*
	$(RM) utils/lstesting
	$(RM) utils/wget-log
	cd compile && (./compile.sh --clean || true)

=== src/bash_completion/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 firejail.bash_completion: firejail.bash_completion.in $(ROOT)/config.mk
 	$(GAWK) -f ../man/preproc.awk -- $(MANFLAGS) < $< > $@.tmp
-	sed "s|_SYSCONFDIR_|$(sysconfdir)|" < $@.tmp > $@
+	sed "s|@sysconfdir@|$(sysconfdir)|" < $@.tmp > $@
 	$(RM) $@.tmp
 
 .PHONY: clean

=== src/etc-cleanup/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = etc-cleanup
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

include $(ROOT)/src/prog.mk

=== src/fids/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fids
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

include $(ROOT)/src/prog.mk

=== src/firecfg/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = firecfg
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

EXTRA_OBJS = ../lib/common.o ../lib/firejail_user.o

include $(ROOT)/src/prog.mk

=== src/firemon/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = firemon
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

EXTRA_OBJS = ../lib/common.o ../lib/pid.o

include $(ROOT)/src/prog.mk

=== src/fldd/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fldd
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

EXTRA_OBJS = ../lib/common.o ../lib/ldd_utils.o

include $(ROOT)/src/prog.mk

=== src/fnet/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fnet
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

EXTRA_OBJS = ../lib/common.o ../lib/libnetlink.o

include $(ROOT)/src/prog.mk

=== src/fnetlock/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fnetlock
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

include $(ROOT)/src/prog.mk

=== src/fnettrace-dns/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fnettrace-dns
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

include $(ROOT)/src/prog.mk

=== src/fsec-optimize/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fsec-optimize
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

EXTRA_OBJS = ../lib/common.o ../lib/errno.o

include $(ROOT)/src/prog.mk

=== debian/changelog ===
firejail (0.9.76-1) unstable; urgency=medium

  * New upstream release.
    - create missing SELinux labels (Closes: #1104634)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 24 Aug 2025 15:41:56 +0200

=== debian/tests/control ===
Tests: smoke-tests
Restrictions: allow-stderr, needs-root, breaks-testbed, superficial, flaky
Depends: @, expect, file, procps, strace, csh, zsh

Tests: simple-tests
Restrictions: allow-stderr, needs-root, breaks-testbed, flaky
Depends: @, expect, file, procps, xzdec, cpio

Tests: isolation-tests
Restrictions: allow-stderr, isolation-machine, flaky
Depends: @, expect, sudo, strace

Tests: application-tests
Restrictions: allow-stderr, isolation-machine, flaky
Depends: @, expect, file, strace, sudo, man-db, iptables, iputils-ping, wget, csh, zsh, xvfb, xserver-xephyr, xterm, evince, transmission-gtk

Tests: network-test
Restrictions: allow-stderr, breaks-testbed, isolation-machine, needs-root, flaky
Depends: @, expect, iproute2, iptables, iputils-ping, net-tools, bridge-utils

=== debian/watch ===
version=4
opts=searchmode=plain,uversionmangle=s/(\d)\-?(rc\d*)$/$1~$2/,pgpsigurlmangle=s/$/.asc/ \
https://api.github.com/repos/netblue30/firejail/releases https://github.com/netblue30/firejail/releases/download/[^/]+/firejail-@ANY_VERSION@@ARCHIVE_EXT@

## firejail 0.9.78

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 
 COMPLETIONDIRS = src/zsh_completion src/bash_completion
 
-APPS = src/firecfg/firecfg src/firejail/firejail src/firemon/firemon src/profstats/profstats src/jailcheck/jailcheck src/etc-cleanup/etc-cleanup
-SBOX_APPS = src/fbuilder/fbuilder src/ftee/ftee src/fids/fids
+APPS = src/firecfg/firecfg src/firejail/firejail src/firemon/firemon src/profstats/profstats src/jailcheck/jailcheck src/etc-cleanup/etc-cleanup src/fbwrap/fbwrap
+SBOX_APPS = src/fbuilder/fbuilder src/ftee/ftee
 SBOX_APPS_NON_DUMPABLE = src/fcopy/fcopy src/fldd/fldd src/fnet/fnet src/fnetfilter/fnetfilter src/fzenity/fzenity
 SBOX_APPS_NON_DUMPABLE += src/fsec-optimize/fsec-optimize src/fsec-print/fsec-print src/fseccomp/fseccomp
 SBOX_APPS_NON_DUMPABLE += src/fnettrace/fnettrace src/fnettrace-dns/fnettrace-dns src/fnettrace-sni/fnettrace-sni
@@ -36,6 +36,10 @@
 MYLIBS = src/libpostexecseccomp/libpostexecseccomp.so src/libtrace/libtrace.so src/libtracelog/libtracelog.so
 COMPLETIONS = src/zsh_completion/_firejail src/bash_completion/firejail.bash_completion
 SECCOMP_FILTERS = seccomp seccomp.debug seccomp.32 seccomp.block_secondary seccomp.mdwx seccomp.mdwx.32 seccomp.namespaces seccomp.namespaces.32
+
+PROFILES_INC := $(sort $(wildcard etc/inc/*.inc))
+PROFILES_NET := $(sort $(wildcard etc/net/*.net))
+PROFILES_PRO := $(sort $(wildcard etc/profile*/*.profile))
 
 MANPAGES1_IN := $(sort $(wildcard src/man/*.1.in))
 MANPAGES5_IN := $(sort $(wildcard src/man/*.5.in))
@@ -221,6 +225,7 @@
 	$(INSTALL) -m 0755 -t $(DESTDIR)$(libdir)/firejail $(SBOX_APPS)
 	$(INSTALL) -m 0755 -t $(DESTDIR)$(libdir)/firejail src/profstats/profstats
 	$(INSTALL) -m 0755 -t $(DESTDIR)$(libdir)/firejail src/etc-cleanup/etc-cleanup
+	$(INSTALL) -m 0755 -t $(DESTDIR)$(libdir)/firejail src/fbwrap/fbwrap
 	# plugins w/o read permission (non-dumpable)
 	$(INSTALL) -m 0711 -t $(DESTDIR)$(libdir)/firejail $(SBOX_APPS_NON_DUMPABLE)
 	$(INSTALL) -m 0711 -t $(DESTDIR)$(libdir)/firejail src/fshaper/fshaper.sh
@@ -246,13 +251,12 @@
 	$(INSTALL) -m 0755 -d $(DESTDIR)$(sysconfdir)/firejail
 	$(INSTALL) -m 0755 -d $(DESTDIR)$(sysconfdir)/firejail/firecfg.d
 	$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail src/firecfg/firecfg.config
-	$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/profile-a-l/*.profile etc/profile-m-z/*.profile etc/inc/*.inc etc/net/*.net etc/firejail.config
+	$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/firejail.config
+	@printf 'Installing profiles...\n'
+	@$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail $(PROFILES_INC) $(PROFILES_NET) $(PROFILES_PRO)
 	sh -c "if [ ! -f $(DESTDIR)$(sysconfdir)/firejail/login.users ]; then \
 		$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/login.users; \
 	fi"
-ifeq ($(HAVE_IDS),-DHAVE_IDS)
-	$(INSTALL) -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/ids.config
-endif
 ifeq ($(BUSYBOX_WORKAROUND),yes)
 	./mketc.sh $(DESTDIR)$(sysconfdir)/firejail/disable-common.inc
 endif
@@ -279,4 +283,3 @@
 	# bash completion
 	$(INSTALL) -m 0755 -d $(DESTDIR)$(datarootdir)/bash-completion/completions
 	$(INSTALL) -m 0644 src/bash_completion/firejail.bash_completion $(DESTDIR)$(datarootdir)/bash-completion/completions/firejail
-	$(INSTALL) -m 0644 src/bash_completion/firemon.bash_completion $(DESTDIR)$(datarootdir)/bash-completion/completions/firemon

=== src/fbwrap/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fbwrap
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

#EXTRA_OBJS = ../lib/common.o ../lib/pid.o

include $(ROOT)/src/prog.mk

=== debian/changelog ===
firejail (0.9.78-1) unstable; urgency=medium

  * New upstream release.
    - removal of overlay and ids features
    - fixes crash of applications using glycin 2.0.0 via gdk-pixbuf2
      (Closes: #1126827)
  * Update Standards-Version to 4.7.3:
    - drop Priority: optional, as the field is no longer recommended
  * Update copyrights.
  * Drop ids configure switch.
  * Remove ids.config during upgrades.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 07 Feb 2026 18:39:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: firejail
 Section: utils
-Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper-compat (= 13), dh-apparmor, gawk, libapparmor-dev, libselinux1-dev, pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://salsa.debian.org/reiner/firejail.git
